import DefaultOverlay from "./default-overlay.svelte";
import { ModalInstance } from "./modal-instance";
export class ModalManager {
    modals = {};
    open(config, props) {
        this.modals[config.name] = new ModalInstance(config);
        this.modals[config.name].manager = this;
        new DefaultOverlay({
            target: document.body,
            props: {
                instance: this.modals[config.name]
            }
        });
    }
    close(name) {
        this.modals[name].element.parentElement.removeChild(this.modals[name].element);
        delete this.modals[name];
    }
}
